darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.UI.Commands.Util.Tree

Contents

- Tree lookup.

Synopsis

- treeHas :: (Functor m, Monad m) => Tree m -> FilePath -> m Bool
- treeHasDir :: (Functor m, Monad m) => Tree m -> FilePath -> m Bool
- treeHasFile :: (Functor m, Monad m) => Tree m -> FilePath -> m Bool
- treeHasAnycase :: (Functor m, Monad m) => Tree m -> FilePath -> m Bool

# Tree lookup.

treeHas :: (Functor m, Monad m) => Tree m -> FilePath -> m Bool #

treeHasDir :: (Functor m, Monad m) => Tree m -> FilePath -> m Bool #

treeHasFile :: (Functor m, Monad m) => Tree m -> FilePath -> m Bool #

treeHasAnycase :: (Functor m, Monad m) => Tree m -> FilePath -> m Bool #